Page MenuHomePhabricator

[LibTooling] Fix unneeded use of unique_ptr where shared_ptr is expected.
ClosedPublic

Authored by ymandel on Apr 23 2019, 6:04 AM.

Details

Summary

This fixes a few places in the Stencil implementation where a unique_ptr is created at a callsite that expects shared_ptr. Since the former implicitly converts to the latter, the code compiles and runs correctly as is. But, there's no reason to involve unique_ptr -- the current code was leftover from a previous version in which unique_ptr was the expected type.

Diff Detail

Repository
rL LLVM

Event Timeline

ymandel created this revision.Apr 23 2019, 6:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 23 2019, 6:04 AM
sbenza accepted this revision.Apr 24 2019, 8:05 AM
This revision is now accepted and ready to land.Apr 24 2019, 8:05 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 29 2019, 9:56 AM